function bottom = findVEEC(column,minv,thresh,numpingstoavg)

if nargin>3
    column(isnan(column)) = 0;
    column = runmean(column,numpingstoavg);
%     column = medfilt2(column,[numpingstoavg 1]);
end

lbs = [0; find(column>10^(thresh/10),2.5*minv,'last')];  % this process chooses the last place where the gradient falls below .0025, but ignores if there is a spot after that minv samples long where it goes up again
oi = find(lbs(minv+1:end)-lbs(1:end-minv)==minv,1,'last');
bottom = lbs(oi+minv);

